From a95fbea7014fbf28f17c4e275179c83d40bf45bf Mon Sep 17 00:00:00 2001
From: Vivek Anand <vivekanand1101@gmail.com>
Date: Oct 05 2016 10:43:54 +0000
Subject: [PATCH 649/1001] some beautification in about widget


---

diff --git a/hubs/widgets/about.py b/hubs/widgets/about.py
index 7023139..4be594c 100755
--- a/hubs/widgets/about.py
+++ b/hubs/widgets/about.py
@@ -14,11 +14,16 @@ position = 'both'
           validator=validators.text,
           help="Text about a user.")
 def data(session, widget, text):
+    ''' Data for the About widget '''
+
     return dict(text=text)
 
 
 @hint(topics=[_('hubs.widget.update')])
 def should_invalidate(message, session, widget):
+    ''' Checks whether the about widget cache needs an update or not
+    Called by backend daemon which listens to fedmsg '''
+
     if not message['topic'].endswith('hubs.widget.update'):
         return False
     if message['msg']['widget']['id'] != widget.idx:

